> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wisboo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wisboo.com/_mcp/server.

# List users

GET https://api.wisboo.com/v1/stores/{store_id}/users

Devuelve una lista paginada de usuarios básicos de la tienda. Los usuarios pueden filtrarse por `name` (Nombre completo) o `email`.

Reference: https://docs.wisboo.com/wisboo-api/users/list-users

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `store_id` (string, required) — ID de tu tienda

### Query parameters

- `page` (integer, optional)
- `size` (integer, optional)
- `name` (string, optional)
- `email` (string, optional)

## Response

### 200

Successful request

- `object` (string, optional)
- `url` (string, optional)
- `data` (list of V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `metadata` (V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaMetadata, optional)

## Types

### V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional)
- `name` (string, optional)
- `last_name` (string, optional)
- `email` (string, optional)
- `created_at` (datetime, optional)
- `country` (string, optional) — País del usuario en formato ISO-SO 3166-1 alpha-2
- `phone` (string, optional)
- `external_id` (string, optional)
- `language` (enum, optional)
  - Allowed values: `ES`, `PT`, `EN`
- `avatar` (string, optional)
- `custom_fields` (V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaDataItemsCustomFields, optional)

### V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaMetadata

- `page_number` (integer, optional)
- `total_record_count` (integer, optional)
- `page_size` (integer, optional)

### V1StoresStoreIdUsersGetResponsesContentApplicationJsonSchemaDataItemsCustomFields

## Examples

**Response**

```json
{
  "object": "string",
  "url": "string",
  "data": [
    {
      "id": "string",
      "name": "string",
      "last_name": "string",
      "email": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "country": "string",
      "phone": "string",
      "external_id": "string",
      "language": "ES",
      "avatar": "string",
      "custom_fields": {}
    }
  ],
  "metadata": {
    "page_number": 1,
    "total_record_count": 1,
    "page_size": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.wisboo.com/v1/stores/:store_id/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wisboo.com/v1/stores/:store_id/users';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wisboo.com/v1/stores/:store_id/users"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wisboo.com/v1/stores/:store_id/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wisboo.com/v1/stores/:store_id/users")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wisboo.com/v1/stores/:store_id/users', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wisboo.com/v1/stores/:store_id/users");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wisboo.com/v1/stores/:store_id/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```